# WindowWrapper Class Reference

WindowWrapper class : handles both imported and self-built windows. More...

`#import <GLKit.h>`

List of all members.

## Public Member Functions

(id) | - initWithSettings:videoMode:style:title:delegate:
| Make a new window wrapper according to the window settings , the video mode , the window style , the window title and the sf window implementation delegate .
(id) | - initWithWindow:settings:delegate:
| Make a new window wrapper by importing and according to the window settings and the sf window implementation delegate and must not be null.
(id) | - initWithWindow:settings:videoMode:style:title:delegate:
| Make a new window wrapper by importing if it's not null and according to the window settings and the sf window implementation delegate ; or by creating a new window if is null.
(NSWindow *) | - window
| Return a reference to the internal Cocoa window.
(GLView *) | - glView
| Return a reference to the internal Cocoa OpenGL view.
(void) | - setPosition:
| Forward call to set the window position on screen.
(void) | - setSize:
| Forward call to set the window size.
(NSPoint) | - mouseLocation
| Return the mouse location relative to the internal window.
(BOOL) | - mouseInside
| Return whether the mouse is on our window.
(void) | - show:
| Close or open the window.
(void) | - enableVerticalSync:
| Forward call to en/disable the OpenGL view vertical synchronization.
(void) | - setActive:
| Forward 'setActive' call the the OpenGL view.
(void) | - flushBuffer
| Forward call to flush the OpenGL view.

## Protected Attributes

GLWindow * | myWindow
GLView * | myView
sf::VideoMode | myFullscreenMode
bool | myIsFullscreen

## Detailed Description

WindowWrapper class : handles both imported and self-built windows.

Definition at line 115 of file GLKit.h.

## Member Function Documentation

- (void) enableVerticalSync: |  | (bool) | flag |  |

Forward call to en/disable the OpenGL view vertical synchronization.

Definition at line 779 of file GLKit.mm.

- (void) flushBuffer |  |  |  |

Forward call to flush the OpenGL view.

Definition at line 799 of file GLKit.mm.

- (GLView *) glView |  |  |  |

Return a reference to the internal Cocoa OpenGL view.

Definition at line 673 of file GLKit.mm.

- (id) initWithSettings: |  | (sf::WindowSettings&) | attribs
videoMode: |  | (sf::VideoMode&) | mode
style: |  | (unsigned long) | style
title: |  | (NSString *) | title
delegate: |  | (sf::priv::WindowImplCocoa *) | delegate |

Make a new window wrapper according to the window settings , the video mode , the window style , the window title and the sf window implementation delegate .

Definition at line 445 of file GLKit.mm.

- (id) initWithWindow: |  | (NSWindow *) | window
settings: |  | (sf::WindowSettings&) | params
delegate: |  | (sf::priv::WindowImplCocoa *) | delegate |

Make a new window wrapper by importing and according to the window settings and the sf window implementation delegate and must not be null.

Definition at line 466 of file GLKit.mm.

- (id) initWithWindow: |  | (NSWindow *) | window
settings: |  | (sf::WindowSettings&) | params
videoMode: |  | (sf::VideoMode&) | mode
style: |  | (unsigned long) | style
title: |  | (NSString *) | title
delegate: |  | (sf::priv::WindowImplCocoa *) | delegate |

Make a new window wrapper by importing if it's not null and according to the window settings and the sf window implementation delegate ; or by creating a new window if is null.

In this case must therefore not be null and must be valid. must never be null

Definition at line 487 of file GLKit.mm.

- (BOOL) mouseInside |  |  |  |

Return whether the mouse is on our window.

Definition at line 726 of file GLKit.mm.

- (NSPoint) mouseLocation |  |  |  |

Return the mouse location relative to the internal window.

Definition at line 713 of file GLKit.mm.

- (void) setActive: |  | (bool) | flag |  |

Forward 'setActive' call the the OpenGL view.

Definition at line 789 of file GLKit.mm.

- (void) setPosition: |  | (NSPoint) | pos |  |

Forward call to set the window position on screen.

Definition at line 682 of file GLKit.mm.

- (void) setSize: |  | (NSSize) | size |  |

Forward call to set the window size.

Definition at line 697 of file GLKit.mm.

- (void) show: |  | (bool) | flag |  |

Close or open the window.

Definition at line 750 of file GLKit.mm.

- (NSWindow *) window |  |  |  |

Return a reference to the internal Cocoa window.

Definition at line 664 of file GLKit.mm.

The documentation for this class was generated from the following files:

- GLKit.h
- GLKit.mm